<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Lote{


	//implementamos nuestro constructor
	public function __construct(){

	}

	//metodo insertar registro
	public function insertar($idarticulo,$numerolote,$fecha,$cantidad){
		$sql="INSERT INTO lote (idarticulo,numerolote,fecha,cantidad) VALUES ('$idarticulo','$numerolote','$fecha','$cantidad')";
		return ejecutarConsulta($sql);
	}

	public function editar_cantidad($idlote,$cantidad){
		$sql="UPDATE lote SET cantidad='$cantidad' + cantidad
		WHERE idlote='$idlote'";
		return ejecutarConsulta($sql);
	}
	//funcion para eliminar datos
	public function eliminar($idlote){
		$sql="DELETE FROM lote WHERE idlote='$idlote'";
		return ejecutarConsulta($sql);
	}

	//metodo para mostrar registros
	public function buscar_lote($idarticulo,$numerolote){
		$sql="SELECT * FROM lote WHERE idarticulo='$idarticulo' AND numerolote='$numerolote'";
		echo $sql;
		return ejecutarConsulta($sql);
	}

}

 ?>
